<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_radius', language 'cy', version '3.6'.
 *
 * @package     auth_radius
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_radiuschangepasswordurl_key'] = 'URL newid cyfrinair';
$string['auth_radiusdescription'] = 'Mae\'r dull hwn yn defnyddio gweinydd <a href="http://en.wikipedia.org/wiki/RADIUS">RADIUS</a> i wirio a yw\'r enw defnyddiwr a\'r cyfrinair a roddir yn ddilys.';
$string['auth_radiushost'] = 'Cyfeiriad y gweinydd RADIUS';
$string['auth_radiushost_key'] = 'Gwesteiwr';
$string['auth_radiusnasport'] = 'Porth i\'w ddefnyddio i gysylltu';
$string['auth_radiusnasport_key'] = 'Porth';
$string['auth_radiussecret'] = 'Cyfrinach a rennir';
$string['auth_radiussecret_key'] = 'Cyfrinach';
$string['auth_radiustype'] = 'Dewiswch gynllun dilysu i\'w ddefnyddio gyda\'r gweinydd RADIUS';
$string['auth_radiustype_key'] = 'Dilysu';
$string['auth_radiustypechapmd5'] = 'CHAP MD5';
$string['auth_radiustypemschapv1'] = 'Microsoft CHAP fersiwn 1';
$string['auth_radiustypemschapv2'] = 'Microsoft CHAP fersiwn 2';
$string['auth_radiustypepap'] = 'PAP';
$string['pluginname'] = 'Gweinydd RADIUS';
