<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'plugin', language 'cy', version '3.6'.
 *
 * @package     plugin
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actions'] = 'Gweithredoedd';
$string['availability'] = 'Ar gael';
$string['checkforupdates'] = 'Chwilio am ddiweddariadau sydd ar gael';
$string['detectedmisplacedplugin'] = 'Mae’r ategyn "{$a->component}" wedi’i osod mewn lleoliad anghywir "{$a->current}", y lleoliad disgwyliedig yw "{$a->expected}"';
$string['displayname'] = 'Enw\'r ategyn';
$string['err_response_curl'] = 'Wedi methu â nôl data diweddariadau sydd ar gael - gwall cURL annisgwyl.';
$string['err_response_format_version'] = 'Fersiwn annisgwyl o\'r fformat ymateb. Ceisiwch chwilio eto am ddiweddariadau sydd ar gael.';
$string['err_response_http_code'] = 'Wedi methu â nôl data diweddariadau sydd ar gael - cod ymateb HTTP annisgwyl.';
$string['filterall'] = 'Dangos y cyfan';
$string['filtercontribonly'] = 'Dangos ychwanegion yn unig';
$string['filterupdatesonly'] = 'Dangos y rhai y mae modd eu diweddaru yn unig';
$string['moodleversion'] = 'Moodle {$a}';
$string['noneinstalled'] = 'Does dim ategion o\'r math hwn wedi\'u gosod';
$string['notdownloadable'] = 'Does dim modd llwytho\'r pecyn i lawr';
$string['notdownloadable_help'] = 'Does dim modd llwytho y pecyn ZIP gyda’r diweddariad i lawr yn awtomatig. Cyfeiriwch at dudalen y ddogfennaeth i gael mwy o gymorth.';
$string['notdownloadable_link'] = 'admin/mdeploy/notdownloadable';
$string['notes'] = 'Nodiadau';
$string['notwritable'] = 'Does dim modd ysgrifennu ar ffeiliau\'r ategyn';
$string['notwritable_help'] = 'Rydych chi wedi galluogi defnyddio diweddariadau awtomatig ac mae diweddariad ar gael ar gyfer yr ategyn hwn. Fodd bynnag, does dim modd i’r gweinydd gwe ysgrifennu ar ffeiliau’r ategyn felly does dim modd gosod y diweddariad yn awtomatig.

Mae angen i chi wneud yn siŵr bod modd ysgrifennu ar ffolder yr ategyn a\'i holl gynnwys er mwyn gallu gosod y diweddariadau sydd ar gael yn awtomatig.';
$string['otherplugin'] = '{$a->component}';
$string['otherpluginversion'] = '{$a->component} ({$a->version})';
$string['pluginchecknotice'] = 'Mae\'r dudalen hon yn dangos ategion a fydd efallai angen eich sylw yn ystod y broses uwchraddio. Mae\'r eitemau wedi\'u hamlygu yn cynnwys ategion newydd sydd ar fin cael eu gosod, ategion wedi\'u diweddaru sydd ar fin cael eu huwchraddio ac unrhyw ategion sydd ar goll. Mae ychwanegion hefyd wedi\'u hamlygu. Rydym yn argymell eich bod yn edrych i weld a oes fersiynau mwy diweddar o\'r ychwanegion ar gael, ac yn uwchraddio eu cod ffynhonnell cyn parhau â\'r uwchraddiad Moodle hwn.';
$string['plugindisable'] = 'Analluogi';
$string['plugindisabled'] = 'Wedi\'i analluogi';
$string['pluginenable'] = 'Galluogi';
$string['pluginenabled'] = 'Wedi\'i alluogi';
$string['rootdir'] = 'Cyfeiriadur';
$string['settings'] = 'Gosodiadau';
$string['source'] = 'Ffynhonnell';
$string['sourceext'] = 'Ychwanegyn';
$string['sourcestd'] = 'Safonol';
$string['status'] = 'Statws';
$string['status_delete'] = 'I\'w ddileu';
$string['status_downgrade'] = 'Fersiwn uwch eisoes wedi\'i gosod!';
$string['status_missing'] = 'Ddim ar y ddisg!';
$string['status_new'] = 'I\'w osod';
$string['status_nodb'] = 'Dim cronfa ddata';
$string['status_upgrade'] = 'I\'w uwchraddio';
$string['status_uptodate'] = 'Wedi\'i osod';
$string['systemname'] = 'Dynodwr';
$string['type_auth'] = 'Dull dilysu';
$string['type_auth_plural'] = 'Dulliau dilysu';
$string['type_block'] = 'Bloc';
$string['type_block_plural'] = 'Blociau';
$string['type_cachestore'] = 'Storfa gadw';
$string['type_cachestore_plural'] = 'Storfeydd cadw';
$string['type_coursereport'] = 'Adroddiad cwrs';
$string['type_coursereport_plural'] = 'Adroddiadau cwrs';
$string['type_editor'] = 'Golygydd';
$string['type_editor_plural'] = 'Golygyddion';
$string['type_enrol'] = 'Dull cofrestru';
$string['type_enrol_plural'] = 'Dulliau cofrestru';
$string['type_filter'] = 'Hidlydd testun';
$string['type_filter_plural'] = 'Hidlyddion testun';
$string['type_format'] = 'Fformat y cwrs';
$string['type_format_plural'] = 'Fformatau\'r cwrs';
$string['type_gradeexport'] = 'Dull allgludo graddau';
$string['type_gradeexport_plural'] = 'Dulliau allgludo graddau';
$string['type_gradeimport'] = 'Dull mewngludo graddau';
$string['type_gradeimport_plural'] = 'Dulliau mewngludo graddau';
$string['type_gradereport'] = 'Adroddiad llyfr graddau';
$string['type_gradereport_plural'] = 'Adroddiadau llyfr graddau';
$string['type_gradingform'] = 'Dull graddio uwch';
$string['type_gradingform_plural'] = 'Dulliau graddio uwch';
$string['type_local'] = 'Ategyn lleol';
$string['type_local_plural'] = 'Ategion lleol';
$string['type_message'] = 'Prosesydd Negeseua';
$string['type_message_plural'] = 'Proseswyr Negeseua';
$string['type_mnetservice'] = 'Gwasanaeth MNet';
$string['type_mnetservice_plural'] = 'Gwasanaethau MNet';
$string['type_mod'] = 'Modiwl gweithgaredd';
$string['type_mod_plural'] = 'Modiwlau gweithgaredd';
$string['type_plagiarism'] = 'Ategyn atal llên-ladrad';
$string['type_plagiarism_plural'] = 'Ategion atal llên-ladrad';
$string['type_portfolio'] = 'Portffolio';
$string['type_portfolio_plural'] = 'Portffolios';
$string['type_profilefield'] = 'Math o feysydd proffil';
$string['type_profilefield_plural'] = 'Mathau o feysydd proffil';
$string['type_qbehaviour'] = 'Ymddygiad cwestiwn';
$string['type_qbehaviour_plural'] = 'Ymddygiad cwestiwn';
$string['type_qformat'] = 'Fformat mewngludo/allgludo cwestiwn';
$string['type_qformat_plural'] = 'Fformatau mewngludo/allgludo cwestiwn';
$string['type_qtype'] = 'Math o gwestiwn';
$string['type_qtype_plural'] = 'Mathau o gwestiynau';
$string['type_report'] = 'Adroddiad safle';
$string['type_report_plural'] = 'Adroddiadau';
$string['type_repository'] = 'Ystorfa';
$string['type_repository_plural'] = 'Ystorfeydd';
$string['type_theme'] = 'Thema';
$string['type_theme_plural'] = 'Themâu';
$string['type_tool'] = 'Offeryn gweinyddol';
$string['type_tool_plural'] = 'Offer gweinyddol';
$string['type_webservice'] = 'Protocol gwasanaethau gwe';
$string['type_webservice_plural'] = 'Protocolau gwasanaethau gwe';
$string['uninstall'] = 'Dadosod';
$string['uninstallconfirm'] = 'Rydych chi ar fin dadosod yr ategyn <em>{$a->name}</em>. Bydd hyn yn dileu popeth yn y gronfa ddata sy’n gysylltiedig â’r ategyn hwnnw’n llwyr, gan gynnwys ei ffurfweddiad, ei gofnodion log, ffeiliau defnyddwyr sy’n cael eu rheoli gan yr ategyn ayb. Does dim modd dadwneud hyn a dydy Moodle ei hun ddim yn creu copïau wrth gefn i\'w hadfer. Ydych chi’n siŵr eich bod am fwrw ymlaen?';
$string['uninstalldelete'] = 'Mae’r holl ddata oedd yn gysylltiedig â’r ategyn <em>{$a->name}</em> wedi’i ddileu o’r gronfa ddata. I atal yr ategyn rhag ailosod ei hun, mae\'n rhaid i’w ffolder <em>{$a->rootdir}</em> gael ei ddileu gyda llaw o’ch gweinydd nawr. Does dim modd i Moodle ei hun ddileu y ffolder oherwydd hawliau ysgrifennu.';
$string['uninstalldeleteconfirm'] = 'Mae’r holl ddata oedd yn gysylltiedig â’r ategyn <em>{$a->name}</em> wedi’i ddileu o’r gronfa ddata. I atal yr ategyn rhag ailosod ei hun, mae\'n rhaid i’w ffolder <em>{$a->rootdir}</em> gael ei ddileu o’ch gweinydd. Ydych chi am ddileu ffolder yr ategyn nawr?';
$string['uninstallextraconfirmblock'] = 'Mae yna {$a->instances} enghraifft o\'r bloc hwn.';
$string['uninstallextraconfirmmod'] = 'Mae yna {$a->instances} enghraifft o\'r modiwl hwn mewn {$a->courses} cwrs.';
$string['uninstalling'] = 'Wrthi\'n dadosod {$a->name}';
$string['updateavailable'] = 'Mae fersiwn {$a} newydd ar gael!';
$string['updateavailable_moreinfo'] = 'Mwy o wybodaeth...';
$string['updateavailable_release'] = 'Rhyddhau {$a}';
$string['updatepluginconfirm'] = 'Cadarnhau diweddaru ategyn';
$string['updatepluginconfirminfo'] = 'Rydych chi ar fin gosod fersiwn newydd o’r ategyn <strong>{$a->name}</strong>. Bydd pecyn zip gyda fersiwn {$a->version} o’r ategyn yn cael ei lwytho i lawr o <a href="{$a->url}">{$a->url}</a> a’i echdynnu i’ch gosodiad Moodle fel y gall uwchraddio eich gosodiad.';
$string['validationmsg_missingcomponent_link'] = 'Development:version.php';
$string['version'] = 'Fersiwn';
$string['versiondb'] = 'Fersiwn gyfredol';
$string['versiondisk'] = 'Fersiwn newydd';
