<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_calculated', language 'cy', version '3.6'.
 *
 * @package     qtype_calculated
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['additem'] = 'Ychwanegu eitem';
$string['addmoreanswerblanks'] = 'Ychwanegu ateb gwag arall.';
$string['addsets'] = 'Ychwanegu set(iau)';
$string['answerhdr'] = 'Ateb';
$string['answerstoleranceparam'] = 'Paramedrau goddefiant atebion';
$string['answerwithtolerance'] = '{$a->answer} (±{$a->tolerance} {$a->tolerancetype})';
$string['anyvalue'] = 'Ychwanegu gwerth';
$string['atleastoneanswer'] = 'Dylech ddarparu o leiaf un ateb.';
$string['atleastonerealdataset'] = 'Dylai fod o leiaf un set ddata gwirioneddol yn nhestun y cwestiwn';
$string['atleastonewildcard'] = 'Dylai fod o leiaf un nod chwilio yn y fformiwla ateb neu destun y cwestiwn';
$string['calcdistribution'] = 'Dosbarthiad';
$string['calclength'] = 'Lleoedd degol';
$string['calcmax'] = 'Uchafswm';
$string['calcmin'] = 'Isafswm';
$string['choosedatasetproperties'] = 'Dewis priiodweddau set ddata nodau chwilio';
$string['choosedatasetproperties_help'] = 'Set ddata yw cyfres o werthoedd a roddir yn lle nod chwilio. Gallwch greu set ddata breifat ar gyfer cwestiwn penodol, neu set ddata a rennir y gellir ei defnyddio ar gyfer cwestiynau eraill wedi\'u cyfrifo o fewn y categori.';
$string['correctanswerformula'] = 'Fformiwla ateb cywir';
$string['correctanswershows'] = 'Ateb cywir yn ymddangos';
$string['correctanswershowsformat'] = 'Fformat';
$string['correctfeedback'] = 'Ar gyfer unrhyw ymateb cywir';
$string['dataitemdefined'] = 'gyda {$a} gwerth rhifol sydd eisoes wedi\'u diffinio ar gael';
$string['datasetrole'] = 'Bydd y nodau chwilio <strong>{x..}</strong> yn cael eu disodli gan rif o\'r set ddata';
$string['decimals'] = 'gyda {$a}';
$string['deleteitem'] = 'Dileu\'r eitem';
$string['deletelastitem'] = 'Dileu\'r eitem ddiwethaf';
$string['editdatasets'] = 'Golygu\'r setiau data nodau chwilio';
$string['editdatasets_help'] = 'Wildcard values may be created by entering a number in each wild card field then clicking the add button. To automatically generate 10 or more values, select the number of values required before clicking the add button. A uniform distribution means any value between the limits is equally likely to be generated; a loguniform distribution means that values towards the lower limit are more likely.';
$string['editdatasets_link'] = 'question/type/calculated';
$string['existingcategory1'] = 'yn defnyddio set ddata a rennir sydd eisoes yn bodoli';
$string['existingcategory2'] = 'ffeil o set sydd eisoes yn bodoli o ffeiliau sydd hefyd yn cael eu defnyddio gan gwestiynau eraill yn y categori hwn';
$string['existingcategory3'] = 'dolen o set sydd eisoes yn bodoli o ffeiliau sydd hefyd yn cael eu defnyddio gan gwestiynau eraill yn y categori hwn';
$string['forceregeneration'] = 'gorfodi atgynhyrchu';
$string['forceregenerationall'] = 'gorfodi atgynhyrchu pob nod chwilio';
$string['forceregenerationshared'] = 'gorfodi atgynhyrchu nodau chwilio sydd ddim yn cael eu rhannu\'n unig';
$string['functiontakesatleasttwo'] = 'Rhaid i\'r weithred {$a} gael o leiaf dau arg';
$string['functiontakesnoargs'] = 'Dydy\'r weithred {$a} ddim yn derbyn unrhyw argiau';
$string['functiontakesonearg'] = 'Rhaid i\'r weithred {$a} gael un arg yn union';
$string['functiontakesoneortwoargs'] = 'Rhaid i\'r weithred {$a} gan naill ai un neu ddau arg';
$string['functiontakestwoargs'] = 'Rhaid i\'r weithred {$a} gael dau arg yn union';
$string['generatevalue'] = 'Cynhyrchu gwerth newydd rhwng';
$string['getnextnow'] = 'Nôl \'Eitem i\'w Hychwanegu\' newydd nawr';
$string['hexanotallowed'] = 'Does dim hawl cael set ddata <strong>{$a->name}</strong> gwerth fformat hecsadegol {$a->value}';
$string['illegalformulasyntax'] = 'Cystrawen fformiwla anghyfreithlon yn dechrau gyda \'{$a}\'';
$string['incorrectfeedback'] = 'Ar gyfer unrhyw ymateb anghywir';
$string['itemno'] = 'Eitem {$a}';
$string['itemscount'] = 'Cyfrif<br />Eitemau';
$string['itemtoadd'] = 'Eitem i\'w hychwanegu';
$string['keptcategory1'] = 'yn defnyddio\'r un set ddata a rennir sydd eisoes yn bodoli fel ag o\'r blaen';
$string['keptcategory2'] = 'ffeil o\'r un categori set o ffeiliau y gellir ei hailddefnyddio fel ag o\'r blaen';
$string['keptcategory3'] = 'dolen o\'r un categori set y gellir ei hailddefnyddio o ddolenni fel ag o\'r blaen';
$string['keptlocal1'] = 'yn defnyddio\'r un set ddata preifat sydd eisoes yn bodoli fel ag o\'r blaen';
$string['keptlocal2'] = 'ffeil o\'r un cwestiwn preifat set o ffeiliau fel ag o\'r blaen';
$string['keptlocal3'] = 'dolen o\'r un cwestiwn preifat set o ddolenni fel ag o\'r blaen';
$string['loguniform'] = 'Loguniform';
$string['loguniformbit'] = 'digits, from a loguniform distribution';
$string['makecopynextpage'] = 'Tudalen nesaf (cwestiwn newydd)';
$string['mandatoryhdr'] = 'Nodau chwilio gorfodol yn yr atebion';
$string['max'] = 'Uchafswm';
$string['min'] = 'Isafswm';
$string['minmax'] = 'Ystod Gwerthoedd';
$string['missingformula'] = 'Fformiwla ar goll';
$string['missingname'] = 'Enw\'r cwestiwn coll';
$string['missingquestiontext'] = 'Testun y cwestiwn coll';
$string['mustenteraformulaorstar'] = 'Rhaid i chi roi fformiwla neu \'*\'.';
$string['newcategory1'] = 'yn defnyddio set ddata a rennir newydd';
$string['newcategory2'] = 'ffeil o set newydd o ffeiliau sydd hefyd o bosib yn cael ei defnyddio gan gwestiynau eraill yn y categori hwn';
$string['newcategory3'] = 'dolen o set newydd o ddolenni sydd hefyd o bosib yn cael ei defnyddio gan gwestiynau eraill yn y categori hwn';
$string['newlocal1'] = 'yn defnyddio set ddata breifat newydd';
$string['newlocal2'] = 'ffeil o set newydd o ffeiliau a fydd yn cael ei defnyddio gan y cwestiwn hwn yn unig';
$string['newlocal3'] = 'dolen o set newydd o ddolenni a fydd yn cael ei defnyddio gan y cwestiwn hwn yn unig';
$string['newsetwildcardvalues'] = 'set(iau) newydd o werthoedd nod(au) chwilio';
$string['nextitemtoadd'] = '\'Eitem i\'w hychwanegu\' nesaf';
$string['nextpage'] = 'Tudalen nesaf';
$string['nocoherencequestionsdatyasetcategory'] = 'Ar gyfer cwestiwn {$a->qid}, dydy\'r categori {$a->qcat} ddim yn union yr un peth â\'r nod chwilio a rennir rhwng {$a->name} a\'r categori {$a->sharedcat}. Dylech olygu\'r cwestiwn.';
$string['nocommaallowed'] = 'Does dim modd defnyddio , felly defnyddiwch . fel 0.013 neu 1.3e-2';
$string['nodataset'] = 'dim - nid yw\'n nod chwilio';
$string['nosharedwildcard'] = 'Nid oes nod chwilio a rennir yn y categori hwn';
$string['notvalidnumber'] = 'Dydy gwerth y nod chwilio ddim yn rhif dilys';
$string['oneanswertrueansweroutsidelimits'] = 'Mae o leiaf un ateb cywir y tu allan i\'r terfynau\'r gwir werth.<br />Dylech addasu goddefiant yr atebion sydd ar gael fel Paramedrau Uwch';
$string['param'] = 'Param {<strong>{$a}</strong>}';
$string['partiallycorrectfeedback'] = 'Ar gyfer unrhyw ymateb sy\'n rhannol gywir';
$string['pluginname_link'] = 'question/type/calculated';
$string['possiblehdr'] = 'Mae\'n bosibl bod nod chwilio yn nhestun y cwestiwn yn unig';
$string['questiondatasets'] = 'Setiau data cwestiwn';
$string['questiondatasets_help'] = 'Setiau data cwestiwn nodau chwilio a fydd yn cael eu defnyddio ym mhob cwestiwn unigol';
$string['questionstoredname'] = 'Enw wedi\'i storio ar gyfer cwestiwn';
$string['replacewithrandom'] = 'Disodli gan werth ar hap';
$string['reuseifpossible'] = 'ailddefnyddio\'r gwerth blaenorol os yw ar gael';
$string['setno'] = 'Set {$a}';
$string['setwildcardvalues'] = 'set(iau) o werthoedd nod(au) chwilio';
$string['sharedwildcard'] = 'Nod chwilio a rennir {<strong>{$a}</strong>}';
$string['sharedwildcardname'] = 'Nod chwilio a rennir';
$string['sharedwildcards'] = 'Nodau chwilio a renni';
$string['showitems'] = 'Dangos';
$string['significantfigures'] = 'gyda {$a}';
$string['significantfiguresformat'] = 'ffigurau arwyddocaol';
$string['synchronize'] = 'Cysoni\'r data o setiau data a rennir gyda chwestiynau eraill mewn cwis';
$string['synchronizeno'] = 'Peidio â chysoni';
$string['synchronizeyes'] = 'Cysoni';
$string['synchronizeyesdisplay'] = 'Cysoni a dangos enw\'r setiau data a rennir fel rhagddodiad o enw\'r cwestiwn';
$string['tolerance'] = 'Goddefiad ac ychwanegiad';
$string['trueanswerinsidelimits'] = 'Ateb cywir : {$a->correct} y tu mewn i derfynau\'r gwir werth {$a->true}';
$string['trueansweroutsidelimits'] = '<span class="error">GWALL Ateb cywir : {$a->correct} y tu allan i derfynau\'r gwir werth {$a->true}</span>';
$string['uniform'] = 'Unffurf';
$string['uniformbit'] = 'degolion, o ddosbarthiad unffurf';
$string['unsupportedformulafunction'] = 'Does dim modd delio â\'r weithred {$a}';
$string['updatecategory'] = 'Diweddaru\'r categori';
$string['updatedatasetparam'] = 'Diweddaru\'r paramedrau setiau data';
$string['updatetolerancesparam'] = 'Diweddaru\'r paramedrau goddefiant atebion';
$string['updatewildcardvalues'] = 'Diweddaru gwerthoedd y nod(au) chwilio';
$string['useadvance'] = 'Defnyddio\'r botwm Uwch i weld y gwallau';
$string['usedinquestion'] = 'Wedi\'i ddefnyddio mewn Cwestiwn';
$string['wildcard'] = 'Nod chwilio {<strong>{$a}</strong>}';
$string['wildcardparam'] = 'Y paramedrau nod chwilio a ddefnyddiwyd i gynhyrchu\'r gwerthoedd';
$string['wildcardrole'] = 'Bydd y nodau chwilio <strong>{x..}</strong> yn cael eu disodli gan rif o\'r gwerthoedd a gynhyrchwyd';
$string['wildcards'] = 'Nodau chwilio {a}...{z}';
$string['wildcardvalues'] = 'Gwerthoedd nod(au) chwilio';
$string['wildcardvaluesgenerated'] = 'Wedi cynhyrchu gwerthoedd nod(au) chwilio';
$string['youmustaddatleastoneitem'] = 'Rhaid i chi ychwanegu o leiaf un eitem set ddata cyn y gallwch gadw\'r cwestiwn hwn.';
$string['youmustaddatleastonevalue'] = 'Rhaid i chi ychwanegu o leiaf un set o werthoedd nod(au) chwilio cyn y gallwch chi gadw\'r cwestiwn hwn.';
$string['zerosignificantfiguresnotallowed'] = 'All yr ateb cywir ddim cael dim ffigurau arwyddocaol!';
