<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'condition', language 'cy', version '3.6'.
 *
 * @package     condition
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addcompletions'] = 'Ychwanegu {no} amod gweithgaredd at y ffurflen';
$string['addgrades'] = 'Ychwanegu {no} amod gradd at y ffurflen';
$string['adduserfields'] = 'Ychwanegu {no} amod maes defnyddiwr at y ffurflen';
$string['availabilityconditions'] = 'Cyfyngu mynediad';
$string['availablefrom'] = 'Caniatáu mynediad o';
$string['availablefrom_help'] = 'Mae\'r dyddiadau mynediad o/tan yn pennu pryd mae myfyrwyr yn cael mynediad at y gweithgaredd drwy gyfrwng dolen ar dudalen y cwrs. Y gwahaniaeth rhwng y dyddiadau mynediad o/tan a\'r gosodiadau argaeledd ar gyfer y gweithgaredd yw, y tu allan i\'r dyddiadau penodedig, mae mynediad o/tan yn atal mynediad yn llwyr, tra bo argaeledd yn caniatáu i fyfyrwyr weld disgrifiad y gweithgaredd.';
$string['availableuntil'] = 'Caniatáu mynediad tan';
$string['badavailabledates'] = 'Mae\'r dyddiadau\'n annilys. Os ydych chi\'n gosod dau ddyddiad, dylai\'r dyddiad \'Caniatáu mynediad o\' ddod cyn y dyddiad \'tan\'.';
$string['badgradelimits'] = 'Os ydych chi\'n pennu terfyn uchaf ac isaf ar gyfer graddau, rhaid i\'r terfyn uchaf fod yn uwch na\'r terfyn isaf.';
$string['completion_complete'] = 'rhaid ei fod wedi\'i farcio fel gweithgaredd sydd wedi\'i gwblhau';
$string['completion_fail'] = 'rhaid cwblhau gyda gradd methu';
$string['completion_incomplete'] = 'rhaid peidio â marcio ei fod wedi\'i gwblhau';
$string['completion_pass'] = 'rhaid cwblhau gyda gradd pasio';
$string['completioncondition'] = 'Amod ar gyfer cwblhau gweithgaredd';
$string['completioncondition_help'] = 'Mae\'r gosodiad hwn yn pennu unrhyw amodau o ran cwblhau gweithgaredd y mae\'n rhaid eu bodloni er mwyn cael mynediad at y gweithgaredd. Cofiwch fod rhaid i\'r broses tracio cwblhad fod ar waith yn gyntaf cyn gellir gosod amod ar gyfer cwblhau gweithgaredd. Gallwch ddewis defnyddio nifer o amodau ar gyfer cwblhau gweithgaredd. Os felly, dim ond pan fydd POB amod ar gyfer cwblhau gweithgaredd wedi\'i fodloni y caniateir mynediad at y gweithgaredd.';
$string['completionconditionsection'] = 'Amod cwblhau gweithgaredd';
$string['completionconditionsection_help'] = 'Mae’r gosodiad hwn yn pennu unrhyw amodau cwblhau gweithgaredd fydd rhaid eu bodloni er mwyn cael mynediad at yr adran. Nodwch fod rhaid gosod tracio cwblhau yn gyntaf cyn y gall amod cwblhau gweithgaredd gael ei osod. Mae modd gosod sawl amod cwblhau gweithgaredd os dymunwch. Os felly, bydd mynediad i\'r adran ddim ond yn cael ei ganiatáu pan fydd HOLL amodau cwblhau gweithgaredd wedi’u bodloni.';
$string['configenableavailability'] = 'Os yw wedi\'i alluogi, mae hyn yn gadael i chi osod amodau (yn seiliedig ar ddyddiad, gradd, neu gwblhau) sy\'n rheoli mynediad at weithgaredd neu adnodd.';
$string['contains'] = 'yn cynnwys';
$string['doesnotcontain'] = 'ddim yn cynnwys';
$string['enableavailability'] = 'Galluogi mynediad amodol';
$string['endswith'] = 'yn gorffen gyda';
$string['fielddeclaredmultipletimes'] = 'Does dim modd i chi ddefnyddio\'r un maes fwy nag unwaith ar gyfer pob gweithgaredd.';
$string['grade_atleast'] = 'rhaid iddo fod yn o leiaf';
$string['grade_upto'] = 'a llai na';
$string['gradecondition'] = 'Amod gradd';
$string['gradecondition_help'] = 'Mae\'r gosodiad hwn yn pennu unrhyw amodau gradd y mae\'n rhaid eu bodloni er mwyn cael mynediad at y gweithgaredd.
Gallwch ddewis defnyddio nifer o amodau gradd. Os felly, dim ond pan fydd POB amod gradd wedi\'i fodloni y caniateir mynediad at y gweithgaredd.';
$string['gradeconditionsection'] = 'Amod gradd';
$string['gradeconditionsection_help'] = 'Mae’r gosodiad hwn yn pennu unrhyw amodau cwblhau gradd fydd rhaid eu bodloni er mwyn cael mynediad at yr adran.

Mae modd gosod sawl amod cwblhau gradd os dymunwch. Os felly, bydd mynediad i\'r adran ddim ond yn cael ei ganiatáu pan fydd HOLL amodau cwblhau gradd wedi’u bodloni.';
$string['gradeitembutnolimits'] = 'Rhaid i chi roi terfyn uchaf neu isaf, neu\'r ddau.';
$string['gradelimitsbutnoitem'] = 'Rhaid i chi ddewis eitem graddau.';
$string['gradesmustbenumeric'] = 'Rhaid i\'r graddau isaf ac uchaf fod yn rhifau (neu\'n wag).';
$string['groupingnoaccess'] = 'Ar hyn o bryd nid ydych yn perthyn i grŵp sydd â mynediad i\'r adran hon.';
$string['isempty'] = 'yn wag';
$string['isequalto'] = 'yn hafal i';
$string['isnotempty'] = 'ddim yn wag';
$string['none'] = '(dim)';
$string['notavailableyet'] = 'Ddim ar gael eto';
$string['requires_completion_0'] = 'Ddim ar gael oni bai fod y gweithgaredd <strong>{$a}</strong> yn anghyflawn.';
$string['requires_completion_1'] = 'Ddim ar gael nes marcir bod y gweithgaredd <strong>{$a}</strong> wedi\'i gwblhau.';
$string['requires_completion_2'] = 'Ddim ar gael nes bod y gweithgaredd  <strong>{$a}</strong> wedi\'i gwblhau ac wedi\'i basio.';
$string['requires_completion_3'] = 'Ddim ar gael oni bai fod y gweithgaredd <strong>{$a}</strong> wedi\'i gwblhau ac wedi methu.';
$string['requires_date'] = 'Ar gael o {$a}.';
$string['requires_date_before'] = 'Ar gael tan {$a}.';
$string['requires_date_both'] = 'Ar gael rhwng {$a->from} a {$a->until}.';
$string['requires_date_both_single_day'] = 'Ar gael ar {$a}.';
$string['requires_grade_any'] = 'Ddim ar gael nes byddwch yn cael gradd mewn <strong>{$a}</strong>.';
$string['requires_grade_max'] = 'Ddim ar gael oni bai eich bod yn cael sgôr priodol mewn <strong>{$a}</strong>.';
$string['requires_grade_min'] = 'Ddim ar gael nes byddwch yn cael sgôr gofynnol mewn <strong>{$a}</strong>.';
$string['requires_grade_range'] = 'Ddim ar gael oni bai eich bod yn cael sgôr penodol mewn <strong>{$a}</strong>.';
$string['requires_user_field_contains'] = 'Ddim ar gael oni bai fod eich <strong>{$a->field}</strong> yn cynnwys <strong>{$a->value}</strong>.';
$string['requires_user_field_doesnotcontain'] = 'Ddim ar gael os yw eich <strong>{$a->field}</strong> yn cynnwys <strong>{$a->value}</strong>.';
$string['requires_user_field_endswith'] = 'Ddim ar gael oni bai fod eich <strong>{$a->field}</strong> yn gorffen gyda <strong>{$a->value}</strong>.';
$string['requires_user_field_isempty'] = 'Ddim ar gael oni bai fod eich <strong>{$a->field}</strong> yn wag.';
$string['requires_user_field_isequalto'] = 'Ddim ar gael oni bai fod eich <strong>{$a->field}</strong> yn hafal i <strong>{$a->value}</strong>.';
$string['requires_user_field_isnotempty'] = 'Ddim ar gael os yw eich <strong>{$a->field}</strong> yn wag.';
$string['requires_user_field_startswith'] = 'Ddim ar gael oni bai fod eich <strong>{$a->field}</strong> yn dechrau gyda <strong>{$a->value}</strong>.';
$string['showavailability'] = 'Tra bo mynediad wedi\'i atal';
$string['showavailability_hide'] = 'Cuddio gweithgaredd yn llwyr yn y cwrs ac yn y llyfr marciau';
$string['showavailability_show'] = 'Dangos gweithgaredd yn llwyd, gyda gwybodaeth am gyfyngiadau';
$string['showavailabilitysection'] = 'Cyn y gellir cael mynediad i\'r adran';
$string['showavailabilitysection_hide'] = 'Cuddio\'r adran yn llwyr';
$string['showavailabilitysection_show'] = 'Dangos adran yn llwyd, gyda gwybodaeth am gyfyngiadau';
$string['startswith'] = 'yn dechrau gyda';
$string['userfield'] = 'Maes defnyddiwr';
$string['userfield_help'] = 'Gallwch atal mynediad yn seiliedig ar unrhyw faes o broffil y defnyddiwr.';
$string['userrestriction_hidden'] = 'Cyfyngedig (wedi\'i guddio\'n llwyr, dim neges): {$a}';
$string['userrestriction_visible'] = 'Cyfyngedig: {$a}';
