<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'journal', language 'cy', version '3.6'.
 *
 * @package     journal
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alwaysopen'] = 'Ar agor drwy\'r amser';
$string['blankentry'] = 'Cofnod gwag';
$string['daysavailable'] = 'Diwrnodau sydd ar gael';
$string['editingended'] = 'Mae\'r cyfnod golygu wedi dod i ben';
$string['editingends'] = 'Cyfnod golygu yn dod i ben';
$string['entries'] = 'Cofnodion';
$string['feedbackupdated'] = 'Adborth wedi\'i ddiweddaru ar gyfer {$a} cofnod';
$string['journalmail'] = 'Mae {$a->teacher} wedi postio adborth ar eich cofnod yn y dyddlyfr \'{$a->journal}\'

Mae\'r adborth wedi\'i atodi at eich cofnod yn y dyddlyfr:

{$a->url}';
$string['journalmailhtml'] = 'Mae {$a->teacher} wedi postio adborth ar eich cofnod yn y dyddlyfr ar gyfer \'<i>{$a->journal}</i>\'<br /><br />
Mae\'r adborth wedi\'i atodi at eich cofnod yn y dyddlyfr <a href="{$a->url}"></a>.';
$string['journalname'] = 'Enw\'r dyddlyfr';
$string['journalquestion'] = 'Cwestiwn yn y dyddlyfr';
$string['mailsubject'] = 'Adborth yn y dyddlyfr';
$string['modulename'] = 'Dyddlyfr';
$string['modulename_link'] = 'mod/journal/view';
$string['modulenameplural'] = 'Dyddlyfrau';
$string['newjournalentries'] = 'Cofnodion newydd yn y dyddlyfr';
$string['noentry'] = 'Dim cofnod';
$string['noratinggiven'] = 'Heb roi sgôr';
$string['notopenuntil'] = 'Ni fydd y dyddlyfr hwn ar agor tan';
$string['notstarted'] = 'Nid ydych wedi dechrau\'r dyddlyfr hwn eto';
$string['overallrating'] = 'Sgôr gyffredinol';
$string['rate'] = 'Sgôr';
$string['saveallfeedback'] = 'Cadw fy holl adborth';
$string['startoredit'] = 'Dechrau neu olygu cofnod yn fy nyddlyfr';
$string['viewallentries'] = 'Gweld {$a} cofnod yn y dyddlyfr';
